Bug 971300 - push route from active-active cluster causes segfault
push route from active-active cluster causes segfault
Status: NEW
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
2.3
All Linux
low Severity high
: ---
: ---
Assigned To: mick
MRG Quality Engineering
:
: 1103580 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 04:55 EDT by Pavel Moravec
Modified: 2014-11-09 17:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reproducer (830 bytes, application/x-shellscript)
2013-06-06 04:56 EDT, Pavel Moravec
no flags Details
coredump generated (825.38 KB, application/gzip)
2013-06-06 04:58 EDT, Pavel Moravec
no flags Details

  None (edit)
Description Pavel Moravec 2013-06-06 04:55:22 EDT
Description of problem:
In active-active cluster, attempting to create a push federation route with source broker being clustered, all peers of the source cluster raise critical error and segfault.


Version-Release number of selected component (if applicable):
qpid-cpp-*-0.18-14


How reproducible:
100%


Steps to Reproduce:
1. Run attached script
2. tail qpidd.400*.log


Actual results:
all brokers in the source cluster (regardless of there is 1 or more) have:
a) 2013-06-06 08:34:02 [HA] critical Modified cluster state outside of cluster context
b) segfault


Expected results:
no critical error, no segfault


Additional info:
Comment 1 Pavel Moravec 2013-06-06 04:56:57 EDT
Created attachment 757555 [details]
reproducer

Uncommenting line

#run_qpidd src 4002 --trace

will make the source cluster 2node, and both nodes will segfault.

It does not matter if dst.broker is clustered or not.
Comment 2 Pavel Moravec 2013-06-06 04:58:12 EDT
Created attachment 757556 [details]
coredump generated
Comment 3 Pavel Moravec 2014-06-03 10:06:49 EDT
*** Bug 1103580 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.